import os

from kunegu import util


if 'KUNEGUSR_CONFIG' in os.environ:
    try:
        ksrconfig = util.import_module_from_path('kunegusr.ksrconfig',
                                                 os.environ['KUNEGUSR_CONFIG'])
    except:
        raise ValueError('Invalid config module path %r. It must be a full path to the *.py file.' % \
                         os.environ['KUNEGUSR_CONFIG'])
else:
    from kunegusr import ksrconfigdefault as ksrconfig


